import request from '@/utils/request';

//获取table表格
export function getdata(params:any){
  return request({
    url: '/basedata/substation-patroldevice/getPatrolDeviceList' ,
    method: 'post',
    data:params
  });
}
//新增设备
export function addPosition(params:any){
  return request({
    url: '/basedata/substation-patroldevice/addPatrolDevice' ,
    method: 'post',
    data:params
  });
}
//修改设备
export function editPosition(params:any){
  return request({
    url: '/basedata/substation-patroldevice/updatePatrolDeviceById' ,
    method: 'post',
    data:params
  });
}
//改变状态
export function changeStatus(params:any){
  return request({
    url: '/basedata/substation-patroldevice/setPatrolDeviceStatus' ,
    method: 'post',
    params:params
  });
}
//设置静默监视是否启用
export function setDailyMonitorStatus(params:any){
  return request({
    url: '/basedata/substation-patroldevice/setDailyMonitorStatus' ,
    method: 'post',
    params:params
  });
}
//删除
export function delPosition(params:any){
  return request({
    url: '/basedata/substation-patroldevice/deletePatrolDeviceById' ,
    method: 'post',
    params:params
  });
}
//增加安全帽
export function addsafety(params:any){
  return request({
    url: '/basedata/silent-helmet-camera/addHelmetCamera' ,
    method: 'post',
    data:params
  });
}
//获取安全帽信息
export function getsafety(params:any){
  return request({
    url: '/basedata/silent-helmet-camera/getHelmetCameraById' ,
    method: 'get',
    params:params
  });
}
//增加人员聚集信息
export function addgathering(params:any){
  return request({
    url: '/basedata/silent-intensive-camera/addIntensiveCamera' ,
    method: 'post',
    data:params
  });
}
//查询人员聚集信息
export function getgathering(params:any){
  return request({
    url: '/basedata/silent-intensive-camera/getIntensiveCameraById' ,
    method: 'get',
    params:params
  });
}
//新增工服
export function addWork(params:any){
  return request({
    url: '/basedata/silent-cloth-camera/addClothCamera' ,
    method: 'post',
    data:params
  });
}
//查询工服
export function getWork(params:any){
  return request({
    url: '/basedata/silent-cloth-camera/getClothCameraById' ,
    method: 'get',
    params:params
  });
}
//新增烟火
export function addsmoke(params:any){
  return request({
    url: '/basedata/silent-fire-camera/addFireCamera' ,
    method: 'post',
    data:params
  });
}
//查询烟火
export function getsmoke(params:any){
  return request({
    url: '/basedata/silent-fire-camera/getFireCameraById' ,
    method: 'get',
    params:params
  });
}
//新增渗漏油
export function addLeakage(params:any){
  return request({
    url: '/basedata/silent-leakage-camera/addLeakageCamera' ,
    method: 'post',
    data:params
  });
}
//查询渗漏油
export function getLeakage(params:any){
  return request({
    url: '/basedata/silent-leakage-camera/getLeakageCameraById' ,
    method: 'get',
    params:params
  });
}
//查询渗漏油
export function setEffectiveArea(params:any){
  return request({
    url: '/basedata/substation-patroldevice/setEffectiveArea' ,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    method: 'post',
    data: params
  });
}
//获取变电站下的区域
export function getArea(params: any) {
  return request({
    url: '/basedata/substation/getSubstationAreaByCode',
    method: 'get',
    params: params,
  });
}
//获取硬盘信息
export function getDvrStorageStatus(params: any) {
  return request({
    url: '/basedata/substation-patroldevice/getDvrStorageStatus',
    method: 'get',
    params: params,
  });
}
//获取机器人无人机
export function getRobotList(params: any) {
  return request({
    url: '/basedata/substation-patroldevice/getRobotList',
    method: 'get',
    params: params,
  });
}